Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
ResizeAb

### Name

ResizeAb - Modifies the abutment box of the current cell

### Synopsys

    ResizeAb ( dx1, dy1, dx2, dy2 )

### Description

This function modifies the abutment box of the current cell.
The coordinates of the abutment box are the coordinates of the envelop of the abutment boxes of each instance plus the delta values given as argument.

Note that one can not call this function in order to create the abutment box. This fonction only modifies the already created abutment box.

### Parameters

- `(dx1, dy1)` : Values to be substracted to the lower left corner of the previous abutment box.
- `(dx2, dy2)` : Values to be added to the upper right corner of the previous abutment box.

The Values are used as follow :

### Example

    % Expansion of the abutment box at the top and the bottom
    ResizeAb ( 0, 100, 0, 100 )

### Errors

Some errors may occur :

- `[Stratus ERROR] ResizeAb :`
  `Coordinates of an abutment Box in y must be multiple of the slice.`
  `Coordinates of an abutment Box in x must be multiple of the pitch.`
  One has called ResizeAb with non authorized values
- `[Stratus ERROR] ResizeAb :`
  `one of the values of dx1 or dx2 (dy1 or dy2) is incompatible with`
  `the size of the abutment box.`
  `Coordinates of an abutment Box in x must be multiple of the pitch.`
  One has called ResizeAb with a value which deteriorates the abtument box

### See Also

Introduction Place PlaceTop PlaceBottom PlaceRight PlaceLeft SetRefIns DefAb